Skip to main content
GET
/
verifications
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const verificationListResponse of client.verifications.list({
  payout_account_id: 'poact_xxxxxxxxxxxx',
})) {
  console.log(verificationListResponse.id);
}
{
  "data": [
    {
      "id": "verf_xxxxxxxxxxxxx",
      "status": "requires_input",
      "last_error_code": "abandoned",
      "last_error_reason": "Document image was too blurry to read."
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

payout_account_id
string
required

The unique identifier of the payout account to list verifications for.

Example:

"poact_xxxxxxxxxxxx"

Response

A successful response

The connection type for Verification.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.